"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _errorMessages = _interopRequireDefault(require("./error-messages"));

var _help = _interopRequireDefault(require("./help"));

var _row = _interopRequireDefault(require("./row"));

var _componentCommon = require("./component-common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var FormCheckGroup = function FormCheckGroup(props) {
  var layout = props.layout,
      help = props.help,
      showErrors = props.showErrors,
      errorMessages = props.errorMessages,
      labelClassName = props.labelClassName,
      children = props.children;

  if (layout === 'elementOnly') {
    return children;
  }

  return _react.default.createElement(_row.default, _extends({}, props, {
    labelClassName: ['pt-0', labelClassName],
    fakeLabel: true
  }), children, help ? _react.default.createElement(_help.default, {
    help: help
  }) : null, showErrors ? _react.default.createElement(_errorMessages.default, {
    messages: errorMessages
  }) : null);
};

FormCheckGroup.propTypes = _componentCommon.componentPropTypes;
FormCheckGroup.defaultProps = _componentCommon.componentDefaultProps;
var _default = FormCheckGroup;
exports.default = _default;